## pdns-recursor 5.3.1

=== meson/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --generate-hashes requirements.in
#
invoke==2.2.0 \
    --hash=sha256:6ea924cc53d4f78e3d98bc436b08069a03077e6f85ad1ddaa8a116d7dad15820 \
    --hash=sha256:ee6cbb101af1a859c7fe84f2a264c059020b0cb7fe3535f9424300ab568f6bd5
    # via -r requirements.in
meson==1.7.0 \
    --hash=sha256:08efbe84803eed07f863b05092d653a9d348f7038761d900412fddf56deb0284 \
    --hash=sha256:ae3f12953045f3c7c60e27f2af1ad862f14dee125b4ed9bcb8a842a5080dbf85
    # via -r requirements.in
ninja==1.11.1.3 \
    --hash=sha256:04d48d14ea7ba11951c156599ab526bdda575450797ff57c6fdf99b2554d09c7 \
    --hash=sha256:114ed5c61c8474df6a69ab89097a20749b769e2c219a452cb2fadc49b0d581b0 \
    --hash=sha256:17978ad611d8ead578d83637f5ae80c2261b033db0b493a7ce94f88623f29e1b \
    --hash=sha256:1ad2112c2b0159ed7c4ae3731595191b1546ba62316fc40808edecd0306fefa3 \
    --hash=sha256:2883ea46b3c5079074f56820f9989c6261fcc6fd873d914ee49010ecf283c3b2 \
    --hash=sha256:28aea3c1c280cba95b8608d50797169f3a34280e3e9a6379b6e340f0c9eaeeb0 \
    --hash=sha256:2b4879ea3f1169f3d855182c57dcc84d1b5048628c8b7be0d702b81882a37237 \
    --hash=sha256:53409151da081f3c198bb0bfc220a7f4e821e022c5b7d29719adda892ddb31bb \
    --hash=sha256:56ada5d33b8741d298836644042faddebc83ee669782d661e21563034beb5aba \
    --hash=sha256:7fa2247fce98f683bc712562d82b22b8a0a5c000738a13147ca2d1b68c122298 \
    --hash=sha256:8c4bdb9fd2d0c06501ae15abfd23407660e95659e384acd36e013b6dd7d8a8e4 \
    --hash=sha256:a27e78ca71316c8654965ee94b286a98c83877bfebe2607db96897bbfe458af0 \
    --hash=sha256:a38c6c6c8032bed68b70c3b065d944c35e9f903342875d3a3218c1607987077c \
    --hash=sha256:a4a3b71490557e18c010cbb26bd1ea9a0c32ee67e8f105e9731515b6e0af792e \
    --hash=sha256:b6966f83064a88a51693073eea3decd47e08c3965241e09578ef7aa3a7738329 \
    --hash=sha256:bc3ebc8b2e47716149f3541742b5cd8e0b08f51013b825c05baca3e34854370d \
    --hash=sha256:edfa0d2e9d7ead1635b03e40a32ad56cc8f56798b6e2e9848d8300b174897076
    # via -r requirements.in
pyyaml==6.0.1 \
    --hash=sha256:04ac92ad1925b2cff1db0cfebffb6ffc43457495c9b3c39d3fcae417d7125dc5 \
    --hash=sha256:062582fca9fabdd2c8b54a3ef1c978d786e0f6b3a1510e0ac93ef59e0ddae2bc \
    --hash=sha256:0d3304d8c0adc42be59c5f8a4d9e3d7379e6955ad754aa9d6ab7a398b59dd1df \
    --hash=sha256:1635fd110e8d85d55237ab316b5b011de701ea0f29d07611174a1b42f1444741 \
    --hash=sha256:184c5108a2aca3c5b3d3bf9395d50893a7ab82a38004c8f61c258d4428e80206 \
    --hash=sha256:18aeb1bf9a78867dc38b259769503436b7c72f7a1f1f4c93ff9a17de54319b27 \
    --hash=sha256:1d4c7e777c441b20e32f52bd377e0c409713e8bb1386e1099c2415f26e479595 \
    --hash=sha256:1e2722cc9fbb45d9b87631ac70924c11d3a401b2d7f410cc0e3bbf249f2dca62 \
    --hash=sha256:1fe35611261b29bd1de0070f0b2f47cb6ff71fa6595c077e42bd0c419fa27b98 \
    --hash=sha256:28c119d996beec18c05208a8bd78cbe4007878c6dd15091efb73a30e90539696 \
    --hash=sha256:326c013efe8048858a6d312ddd31d56e468118ad4cdeda36c719bf5bb6192290 \
    --hash=sha256:40df9b996c2b73138957fe23a16a4f0ba614f4c0efce1e9406a184b6d07fa3a9 \
    --hash=sha256:42f8152b8dbc4fe7d96729ec2b99c7097d656dc1213a3229ca5383f973a5ed6d \
    --hash=sha256:49a183be227561de579b4a36efbb21b3eab9651dd81b1858589f796549873dd6 \
    --hash=sha256:4fb147e7a67ef577a588a0e2c17b6db51dda102c71de36f8549b6816a96e1867 \
    --hash=sha256:50550eb667afee136e9a77d6dc71ae76a44df8b3e51e41b77f6de2932bfe0f47 \
    --hash=sha256:510c9deebc5c0225e8c96813043e62b680ba2f9c50a08d3724c7f28a747d1486 \
    --hash=sha256:5773183b6446b2c99bb77e77595dd486303b4faab2b086e7b17bc6bef28865f6 \
    --hash=sha256:596106435fa6ad000c2991a98fa58eeb8656ef2325d7e158344fb33864ed87e3 \
    --hash=sha256:6965a7bc3cf88e5a1c3bd2e0b5c22f8d677dc88a455344035f03399034eb3007 \
    --hash=sha256:69b023b2b4daa7548bcfbd4aa3da05b3a74b772db9e23b982788168117739938 \
    --hash=sha256:6c22bec3fbe2524cde73d7ada88f6566758a8f7227bfbf93a408a9d86bcc12a0 \
    --hash=sha256:704219a11b772aea0d8ecd7058d0082713c3562b4e271b849ad7dc4a5c90c13c \
    --hash=sha256:7e07cbde391ba96ab58e532ff4803f79c4129397514e1413a7dc761ccd755735 \
    --hash=sha256:81e0b275a9ecc9c0c0c07b4b90ba548307583c125f54d5b6946cfee6360c733d \
    --hash=sha256:855fb52b0dc35af121542a76b9a84f8d1cd886ea97c84703eaa6d88e37a2ad28 \
    --hash=sha256:8d4e9c88387b0f5c7d5f281e55304de64cf7f9c0021a3525bd3b1c542da3b0e4 \
    --hash=sha256:9046c58c4395dff28dd494285c82ba00b546adfc7ef001486fbf0324bc174fba \
    --hash=sha256:9eb6caa9a297fc2c2fb8862bc5370d0303ddba53ba97e71f08023b6cd73d16a8 \
    --hash=sha256:a08c6f0fe150303c1c6b71ebcd7213c2858041a7e01975da3a99aed1e7a378ef \
    --hash=sha256:a0cd17c15d3bb3fa06978b4e8958dcdc6e0174ccea823003a106c7d4d7899ac5 \
    --hash=sha256:afd7e57eddb1a54f0f1a974bc4391af8bcce0b444685d936840f125cf046d5bd \
    --hash=sha256:b1275ad35a5d18c62a7220633c913e1b42d44b46ee12554e5fd39c70a243d6a3 \
    --hash=sha256:b786eecbdf8499b9ca1d697215862083bd6d2a99965554781d0d8d1ad31e13a0 \
    --hash=sha256:ba336e390cd8e4d1739f42dfe9bb83a3cc2e80f567d8805e11b46f4a943f5515 \
    --hash=sha256:baa90d3f661d43131ca170712d903e6295d1f7a0f595074f151c0aed377c9b9c \
    --hash=sha256:bc1bf2925a1ecd43da378f4db9e4f799775d6367bdb94671027b73b393a7c42c \
    --hash=sha256:bd4af7373a854424dabd882decdc5579653d7868b8fb26dc7d0e99f823aa5924 \
    --hash=sha256:bf07ee2fef7014951eeb99f56f39c9bb4af143d8aa3c21b1677805985307da34 \
    --hash=sha256:bfdf460b1736c775f2ba9f6a92bca30bc2095067b8a9d77876d1fad6cc3b4a43 \
    --hash=sha256:c8098ddcc2a85b61647b2590f825f3db38891662cfc2fc776415143f599bb859 \
    --hash=sha256:d2b04aac4d386b172d5b9692e2d2da8de7bfb6c387fa4f801fbf6fb2e6ba4673 \
    --hash=sha256:d483d2cdf104e7c9fa60c544d92981f12ad66a457afae824d146093b8c294c54 \
    --hash=sha256:d858aa552c999bc8a8d57426ed01e40bef403cd8ccdd0fc5f6f04a00414cac2a \
    --hash=sha256:e7d73685e87afe9f3b36c799222440d6cf362062f78be1013661b00c5c6f678b \
    --hash=sha256:f003ed9ad21d6a4713f0a9b5a7a0a79e08dd0f221aff4525a2be4c346ee60aab \
    --hash=sha256:f22ac1c3cac4dbc50079e965eba2c1058622631e526bd9afd45fedd49ba781fa \
    --hash=sha256:faca3bdcf85b2fc05d06ff3fbc1f83e1391b3e724afa3feba7d13eeab355484c \
    --hash=sha256:fca0e3a251908a499833aa292323f32437106001d436eca0e6e7833256674585 \
    --hash=sha256:fd1592b3fdf65fff2ad0004b5e363300ef59ced41c2e6b3a99d4089fa8c5435d \
    --hash=sha256:fd66fc5d0da6d9815ba2cebeb4205f95818ff4b79c3ebe268e75d961704af52f
    # via -r requirements.in

=== debian/changelog ===
pdns-recursor (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1, fixes CVE-2025-59023 and CVE-2025-59024.
    (Closes: #1118751)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Oct 2025 18:01:37 +0200

=== debian/control ===
Source: pdns-recursor
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: pdns-recursor packagers <pdns-recursor@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
 Marc Haber <mh+debian-packages@zugschlus.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 architecture-is-64-bit,
 cargo,
 libboost-context-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libcap-dev,
 libcurl4-openssl-dev,
 libfstrm-dev,
 libluajit-5.1-dev (>= 2.1.0~beta3+dfsg-5.3) [amd64 arm64] | libluajit-5.1-dev [amd64] | liblua5.3-dev,
 libprotobuf-dev,
 librust-base64-dev (>= 0.22.1-1~),
 librust-bytes-dev,
 librust-cxx-build-dev (>= 1.0.130-1~),
 librust-cxx-dev (>= 1.0.130-1~),
 librust-form-urlencoded-dev,
 librust-http-body-util-dev,
 librust-hyper+http1-dev,
 librust-hyper+server-dev,
 librust-hyper-rustls-dev,
 librust-hyper-util+tokio-dev,
 librust-ipnet-dev (>= 2.8.0-1~),
 librust-once-cell-dev,
 librust-once-cell-dev (>= 1.18.0-1~),
 librust-ring-dev,
 librust-rustls-dev,
 librust-rustls-pemfile-dev,
 librust-rustls-pki-types-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-yaml-dev (>= 0.9.34~),
 librust-tokio+net-dev,
 librust-tokio+rt-dev,
 librust-tokio-dev,
 librust-tokio-rustls-dev,
 librust-uuid-dev,
 libsnmp-dev,
 libsodium-dev,
 libssl-dev,
 libsystemd-dev,
 meson,
 pkgconf,
 protobuf-compiler,
 ragel,
 systemd,
 systemd-dev | systemd (<< 257),
Vcs-Git: https://salsa.debian.org/debian/pdns-recursor.git
Vcs-Browser: https://salsa.debian.org/debian/pdns-recursor
Homepage: https://www.powerdns.com/
Rules-Requires-Root: no
X-Style: black

Package: pdns-recursor
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 dns-root-data,
 publicsuffix,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: PowerDNS Recursor
 High-performance resolving name server, utilizing multiple
 processor and including Lua scripting capabilities.

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="versionmangle=s/-(alpha|beta|rc)/~$1/" https://downloads.powerdns.com/releases/	pdns-recursor-(5\..*)\.tar\.xz debian	uupdate

## pdns-recursor 5.3.3

=== debian/changelog ===
pdns-recursor (5.3.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/5.3.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 09 Dec 2025 14:57:38 +0000

pdns-recursor (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
    Fixes CVE-2025-59029 (Closes: #1122196),
    Fixes CVE-2025-59030 (Closes: #1122197).
  * Preserve recursor.lua on upgrades, but not as conffile

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Dec 2025 11:01:36 +0100

pdns-recursor (5.3.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/5.3.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 25 Oct 2025 07:13:26 +0100

## pdns-recursor 5.3.4

=== debian/changelog ===
pdns-recursor (5.3.4-2) unstable; urgency=medium

  * Drop Build-Depends: libboost-system-dev

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 05 Feb 2026 23:34:17 +0100

pdns-recursor (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Jan 2026 12:32:52 +0100

## pdns-recursor 5.3.5

=== debian/changelog ===
pdns-recursor (5.3.5-1) unstable; urgency=medium

  * New upstream version 5.3.5
    Fixes CVE-2026-24027, CVE-2026-0398 (Closes: #1127490)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 11 Feb 2026 15:13:35 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  libboost-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
- libboost-system-dev,
  libboost-test-dev,
  libboost-thread-dev,
  libcap-dev,
